import { createStore, Store } from 'vuex';
// 持久化管理
import createPersistedstate from 'vuex-persistedstate'
import modules from './modules';
import { timState } from './modules/timStore';
import { networkErrorInfo } from './modules/networkErrorInfo';

export interface State {
  timStore: timState,
  networkErrorInfo,
}

export default createStore <State>({
  modules
})
  